export default {
  name: 'omOss',
  title: 'Velg person',
  type: 'document',
  fields: [
    {
      name: 'slug',
      title: 'Slug',
      description: 'Bruk navnet på personen med kun små bokstaver og bindestrek mellom alle ordene',
      type: 'string',
    },
    {
      name: 'number',
      title: 'Nummer i rekkefølgen',
      description: 'Velg tallet avhengig av rekkefølgen dere ønsker',
      type: 'number',
      validation: (Rule: {required: () => any}) => Rule.required().min(1),
    },
    {
      name: 'title',
      title: 'Stillingstittel',
      description: 'Stillingstittel for ansatt',
      type: 'string',
    },
    {
      name: 'personal',
      title: 'Historien til ansatt',
      description: 'Din personlige historie relatert til SEM/EDS/EBSD og Jarle Hjelen AS',
      type: 'array',
      of: [{type: 'block'}],
    },
    {
      name: 'image',
      title: 'Bilde',
      description: 'Bildeportrett av ansatt',
      type: 'image',
      options: {
        hotspot: true,
      },
      fields: [
        {
          name: 'alt',
          title: 'Alternativ tekst',
          description: 'Tekst som blir vist dersom bildet ikke laster',
          type: 'string',
        },
      ],
    },
  ],
}
