export default {
  name: 'analyser',
  type: 'document',
  title: 'Velg SEM-analyse',
  fields: [
    {
      name: 'slug',
      title: 'Slug',
      description: 'Bruk navnet på analysen med kun små bokstaver og bindestrek mellom alle ordene',
      type: 'string',
    },
    {
      name: 'number',
      title: 'Nummer i rekkefølgen',
      description: 'Velg tallet avhengig av rekkefølgen dere ønsker',
      type: 'number',
      validation: (Rule: {required: () => any}) => Rule.required().min(1),
    },
    {
      name: 'title',
      title: 'Analysetittel',
      description: 'Tittel for analysen',
      type: 'string',
    },
    {
      name: 'summary',
      title: 'Sammendrag',
      description: 'Kort forklaring av analysen',
      type: 'array',
      of: [{type: 'block'}],
    },
    {
      name: 'details',
      title: 'Detaljer',
      description: 'Videre detaljer av analysen',
      type: 'text',
    },
    {
      name: 'images',
      title: 'Bildekarusell',
      description: 'Bilder som skal inkluderes i bildekarusellen',
      type: 'array',
      of: [
        {
          name: 'image',
          title: 'Bilde',
          type: 'image',
          options: {
            hotspot: true,
          },
          fields: [
            {
              name: 'img_number',
              title: 'Nummer i rekkefølgen av bilder',
              description:
                'Plasseringen dere ønsker dette bildet å ha i rekkefølgen av bildene på denne analysen',
              type: 'number',
              validation: (Rule: {required: () => any}) => Rule.required().min(1),
            },
            {
              name: 'img_description',
              title: 'Bildeforklaring',
              description: 'teksten som kommer i karusellen',
              type: 'string',
            },
            {
              name: 'alt',
              title: 'Alternativ tekst',
              description: 'Teksten som kommer dersom bildet ikke laster inn',
              type: 'string',
            },
          ],
        },
      ],
      options: {
        layout: 'grid',
      },
    },
  ],
}
