import Details from "./Details";
import { product } from "types/sanity";
import "../../styles/globals.css";

describe.skip("Details component", () => {
  beforeEach(() => {
    cy.fixture("product").then((data: product) =>
      cy.mount(<Details params={data} />)
    );
  });

  it("renders the product title", () => {
    cy.get('h1[aria-labelledby="ItemTitle"]')
      .should("contain", "Test Product")
      .should("be.visible");
  });

  it("renders the contactform button", () => {
    cy.get('a[aria-label="Navigate to contactform"]').should("be.visible");
    cy.get('a[aria-label="Navigate to contactform"]')
      .should("have.attr", "href")
      .should("equal", "en/contact");
  });

  it("renders the product summary", () => {
    cy.get('h2[aria-labelledby="SummaryTitle"]')
      .contains("Summary:")
      .should("be.visible");
    cy.get('h2[aria-labelledby="SummaryTitle"]')
      .parent()
      .children()
      .should("have.length.greaterThan", 1);
  });

  it("renders the product details", () => {
    cy.get('h2[aria-labelledby="DetailTitle"]')
      .contains("Details:")
      .should("be.visible");
    cy.get('h2[aria-labelledby="DetailTitle"]')
      .parent()
      .children()
      .should("have.length.greaterThan", 1);
  });
});
