const defaultTheme = require("tailwindcss/defaultTheme");

const plugin = require("tailwindcss/plugin");

const backfaceVisibility = plugin(function ({ addUtilities }) {
  addUtilities({
    ".backface-visible": {
      "backface-visibility": "visible",
    },
    ".backface-hidden": {
      "backface-visibility": "hidden",
    },
  });
});

module.exports = {
  mode: "jit",
  content: [
    "./pages/**/*.{js,ts,jsx,tsx}",
    "./components/**/*.{js,ts,jsx,tsx}",
    "./app/**/*.{html, js,ts,jsx,tsx}",
    "./node_modules/tw-elements/dist/js/**/*.js",
  ],
  theme: {
    extend: {
      fontFamily: {
        Kanit: ["Kanit", ...defaultTheme.fontFamily.sans],
        Sriracha: ["Sriracha", ...defaultTheme.fontFamily.sans],
        Inter: ["var(--font-inter)", ...defaultTheme.fontFamily.sans],
      },
      colors: {
        "header-footer": "#222D44",
        "light-bg": "#f1f1f1",
        submit: "#3b82f6",
        warning: "#9A0C0C",
        "light-text": "#FFFFFF",
        "dark-text": "#000000",
      },
      backgroundImage: {
        "background-texture": "url('../public/kornbakgrunn.webp')",
      },
    },
  },
  variants: {
    extend: {},
  },
  plugins: [require("tw-elements/dist/plugin"), backfaceVisibility],
};
